OgreGLESPrerequisites.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMath.h"`
`#include <OpenGLES/ES1/gl.h>`
`#include <OpenGLES/ES1/glext.h>`

Go to the source code of this file.

## Defines

#define | GL_NONE 0
#define | _OgreGLESExport __declspec(dllimport)
#define | __PRETTY_FUNCTION__ __FUNCTION__
#define | DEBUG_(text)
#define | ENABLE_GL_CHECK 0
#define | GL_CHECK_ERROR {}
#define | EGL_CHECK_ERROR {}

## Define Documentation

#define __PRETTY_FUNCTION__ __FUNCTION__

Definition at line 125 of file OgreGLESPrerequisites.h.

#define _OgreGLESExport __declspec(dllimport)

Definition at line 115 of file OgreGLESPrerequisites.h.

#define DEBUG_ | ( |  | text | ) |

Value:

    {\
            fprintf(stderr, "%s:%d: %s\n", __FUNCTION__, __LINE__, text); \
        }

Definition at line 129 of file OgreGLESPrerequisites.h.

#define EGL_CHECK_ERROR {}

Definition at line 160 of file OgreGLESPrerequisites.h.

#define ENABLE_GL_CHECK 0

Definition at line 134 of file OgreGLESPrerequisites.h.

#define GL_CHECK_ERROR {}

Definition at line 145 of file OgreGLESPrerequisites.h.

#define GL_NONE 0

Definition at line 102 of file OgreGLESPrerequisites.h.

Referenced by Ogre::GLES2RTTManager::getBestDepthStencil(), Ogre::GLESRTTManager::getBestDepthStencil(), and Ogre::GLRTTManager::getBestDepthStencil().

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24